ATA_DEV_PHYS_LINK(9)

NAME
ata_dev_phys_link - find physical link for a device

SYNOPSIS

struct ata_link * ata_dev_phys_link(struct ata_device * dev);

ARGUMENTS

dev
    ATA device to look up physical link for

DESCRIPTION

Look up physical link which dev is attached to. Note that this is different from dev->link only when dev is on slave link. For all other cases, it's the same as dev->link.

LOCKING

Don't care.

RETURNS

Pointer to the found physical link.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT